jQuery(document).ready(function ($) {
    ({
      abc: 1,
  
      init: function () {
        var self = this;
  
        $(function () {
          self.switcherToggle();
          self.switcherInputSearch();
          self.languageOptionsToggle();
          self.handleOnClickLanguageItem();
          self.handleOnClickCurrencyItem();
          self.currencyOptionsToggle();
          self.handleClickApplyButton();
          self.initLoad()
        });
      },
  
      switcherToggle: function () {
        var wrap = $(".transcy-switch");
        wrap.find(".lang-current").click(function () {
          wrap.find(".lang-target").slideToggle();
        });
  
        $(document).mouseup(function (e) {
          var container = wrap;
          if (!container.is(e.target) && container.has(e.target).length === 0) {
            container.find(".lang-target").hide();
          }
        });
      },
  
      switcherInputSearch: function () {
        var wrap = $(".transcy-switch");
        wrap.find(".lang-target .lang-search input").on("keyup", function (e) {
          var keyword = $(this).val().toLowerCase();
          var found = [];
          wrap.find(".lang-target ul li a").each(function (index) {
            var lang = $(this).find("span").text().toLowerCase();
            if (lang.includes(keyword)) {
              $(this).parent().show();
              found.push(index);
            } else {
              $(this).parent().hide();
            }
          });
  
          if (found.length > 0) {
            wrap.find(".search-not-found").hide();
          } else {
            wrap.find(".search-not-found").show();
          }
        });
      },
  
      languageOptionsToggle: function () {
        var wrap = $("#lang-container");
  
        wrap.find(".lang-options-container").click(function () {
          wrap.find(".lang-option-item").slideToggle();
          // currencyOptionsToggle()
        });
        $(document).mouseup(function (e) {
          var container = wrap;
          if (!container.is(e.target) && container.has(e.target).length === 0) {
            container.find(".lang-option-item").hide();
          }
        });
      },
  
      currencyOptionsToggle: function () {
        var wrap = $("#currency-container");
  
        wrap.find(".currency-options-container").click(function () {
          wrap.find(".currency-option-item").slideToggle();
        });
        $(document).mouseup(function (e) {
          var container = wrap;
          if (!container.is(e.target) && container.has(e.target).length === 0) {
            container.find(".currency-option-item").hide();
          }
        });
      },
  
      handleOnClickLanguageItem: function () {
        const wrap = $("#lang-container");
  
        const findLanguageList = wrap.find(".lang-item");
  
        findLanguageList.each(function (langItemIndex, item) {
          $(item).click(function () {
            const dataCode = $(this).attr("data-code");
            const getLanguageName = $(this).find("span").text();
            const getLanguageFlag = $(this).find(".lang-flag").attr("src");
              
            findLanguageList.each(function (index, i) {
                $(i).removeClass("selected")
            }) 
              
            $(this).addClass('selected');
  
            $("#lang-options-value").html(`
            <div id="lang-selected-value" data-code="${dataCode}" style="display: flex; align-items: center; gap: 10px">
              <img
              src="${getLanguageFlag}"
              style="max-width: 30px; height: 20px; vertical-align: inherit; object-fit: cover"
              />
              <span>${getLanguageName}</span>
            </div>
          `);
          });
        });
      },
        
      initLoad: function() {
          const wrap = $(".transcy-switch");
          
          const findCurrencyList = wrap.find(".currency-item");
          const findLanguageList = wrap.find(".lang-item");
          
          const selectedCurrencyValue = $("#currency-selected-value")
          const selectedLanguageValue = $("#lang-selected-value")
          
          
          findCurrencyList.each(function () {
              if($(this).attr("data-code") !== selectedCurrencyValue.attr("data-code")) return
              $(this).addClass('selected');
          })
          
          findLanguageList.each(function () {
              if($(this).attr("data-code") !== selectedLanguageValue.attr("data-code")) return
              $(this).addClass('selected');
          })
      },
  
      handleOnClickCurrencyItem: function () {
        const wrap = $("#currency-container");
  
        const findCurrencyList = wrap.find(".currency-item");
  
        findCurrencyList.each(function (langItemIndex, item) {
          $(item).click(function () {
            const dataCode = $(this).attr("data-code");
            const getLanguageName = $(this).find("span").text();
            const getLanguageFlag = $(this).find(".lang-flag").attr("src");
              
            findCurrencyList.each(function (index, i) {
                $(i).removeClass("selected")
            }) 
              
            $(this).addClass('selected');
  
            $("#currency-options-value").html(`
            <div id="currency-selected-value" data-code="${dataCode}" style="display: flex; align-items: center; gap: 10px">
              <img
              src="${getLanguageFlag}"
              style="max-width: 30px; height: 20px; vertical-align: inherit; object-fit: cover"
              />
              <span>${getLanguageName}</span>
            </div>
          `);
          });
        });
      },
  
      handleClickApplyButton: function () {
        const wrap = $(".transcy-switch");
  
        const findApplyButton = wrap.find(".transcy-switch-apply");
  
        findApplyButton.click(function () {
          const langValue = wrap
            .find("#lang-options-value #lang-selected-value")
            .attr("data-code");
          const currencyValue = wrap
            .find("#currency-options-value #currency-selected-value")
            .attr("data-code");
  
          console.log({
            langValue,
            currencyValue,
          });
            
          const url = new window.URL(document.location);
          url.searchParams.set("lang", langValue);
          url.searchParams.set("currency", currencyValue);
          
          $(`<a href="${url.href}"></a>`)[0].click();
        });
      },
    }).init();
  });
  