<?php
namespace Transcy\Admin;

class Enqueue {
    public function register() {
        add_action('admin_enqueue_scripts', array( $this, 'add_script'), 40);
        add_action('admin_enqueue_scripts', array( $this, 'add_style'), 40);
        add_action('admin_enqueue_scripts', array( $this, 'add_material_icon'), 40);
        add_action('admin_head', array($this, 'add_js_script'));
        add_action('admin_enqueue_scripts', array($this, 'remove_js_unnecessary'), 999);
    }

     /**
     * Add script & style
     */
    public function add_script($hook) {
        $admin_fe_folder = opendir(TRANSCY_ASSETS_FOLDER_PATH . '/dist/js');
        $ver = time();

        if($hook == 'toplevel_page_transcy-dashboard') {
            while($file = readdir($admin_fe_folder)) {
                $tmp = explode(".", $file);
                if(end($tmp) == 'js') {
                    wp_enqueue_script('transcy-' . reset($tmp),  TRANSCY_ASSETS_FOLDER  . '/dist/js/'. $file, '', $ver, true);
                }
            }
        }

        wp_enqueue_script('transcy-admin-js',  TRANSCY_ASSETS_FOLDER  . '/js/admin.js', array('jquery'), $ver, true);
    }

    public function add_style($hook) {
        $admin_fe_folder = opendir(TRANSCY_ASSETS_FOLDER_PATH . '/dist/css');
        $ver = time();

        if($hook == 'toplevel_page_transcy-dashboard') {
            while($file = readdir($admin_fe_folder)) {
                $tmp = explode(".", $file);
                if(end($tmp) == 'css') {
                    wp_enqueue_style('transcy-' . reset($tmp),  TRANSCY_ASSETS_FOLDER  . '/dist/css/'. $file, array(), $ver);
                }
            }
        }

        wp_enqueue_style('transcy-admin-css',  TRANSCY_ASSETS_FOLDER  . '/css/admin.css', array(), $ver);
    }

    public function add_material_icon($hook) {
        $ver = time();
        wp_enqueue_style('transcy-material-icon',  'https://cdn.jsdelivr.net/npm/@mdi/font@latest/css/materialdesignicons.min.css', array(), $ver);
    }

    /*
     * Add js script
     */
    public function add_js_script() { ?>
        <script>
            var transcy_url = '<?php echo home_url(); ?>';
            var transcy_apikey = '<?php echo get_option('transcy_apikey'); ?>';
        </script>

        <!-- Google Tag Manager -->
        <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
        new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
        })(window,document,'script','dataLayer','GTM-5XCKN6G');</script>
        <!-- End Google Tag Manager -->

        <!-- Google Tag Manager (noscript) -->
        <noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-5XCKN6G"
        height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
        <!-- End Google Tag Manager (noscript) -->
    <?php }

    /*
     * Remove unnecessary js
     */
    public function remove_js_unnecessary() {
        global $pagenow;

        if($pagenow == 'admin.php' && $_GET['page'] == 'transcy-dashboard') {
            wp_dequeue_script('wpcfto_metaboxes.js');
            wp_deregister_script('wpcfto_metaboxes.js');
            wp_deregister_script('vue-resource.js');
            wp_deregister_script('vue2-datepicker.js');
            wp_deregister_script('vue-select.js');
            wp_deregister_script('vue2-editor.js');
            wp_deregister_script('vue2-color.js');
            wp_deregister_script('vue-draggable.js');
            wp_deregister_script('vue.js');
        }
    }



}
