<?php

namespace Transcy\Api\AppApi;

use Exception;
use Transcy\Api\AppApi\AppKey;
use Firebase\JWT\JWT;
use Firebase\JWT\Key;
use Transcy\Helpers\Info;

class AppToken
{
	public function generate_token()
	{
		$app_key = new AppKey();
		$info = new Info();
		$issuedAt = time();
		$expirationTime = $issuedAt + 60000000;
		$key = $app_key->get_key();
		$domain = $info->get_domain();
		$email  = get_option('admin_email');
		$payload = [
			'domain' => $domain,
			'email'  => $email,
			'exp'    => $expirationTime,
			'iss' 	 => 'transcy',
			'aud' 	 => md5('wordpress'),
			'iat'    => $issuedAt
		];
		$token = JWT::encode($payload, $key, 'HS256');

		return $token;
	}

	public function decode_token($token)
	{
		$app_key = new AppKey();
		$key = $app_key->get_key();
		$message = 'An error, please try again.';
		try {
			$data = JWT::decode($token, new Key($key, 'HS256'));

			return [
				'status' => true,
				'data' => $data
			];
		} catch (Exception $ex) {
			$message = $ex->getMessage();
		}

		return [
			'status' => false,
			'message' => $message
		];
	}
}
