<?php

namespace Transcy\Api\AppApi;

use Transcy\Helpers\Info;

class ClientApi
{
    public function get_client_data()
    {
        $data = get_option('transcy_client_data');
        if (!empty($data)) {
            if ($data == "no-data") {
                return null;
            } else {
                return $data;
            }
        }
        $app_token = new AppToken();
        $info = new Info();
        $domain = $info->get_domain();
        $wp_version = $info->get_wp_version();
        $tc_version = $info->get_tc_version();
        $token = $app_token->generate_token();

        $data = wp_remote_get(APP_API_URL . '/api/store-front', [
            'headers' => [
                "Authorization" => "Bearer $token",
                "x-transcy-hostname" => $domain,
                "x-transcy-version" => $wp_version,
                "x-transcy-platform-version" => $tc_version
            ]
        ]);

        if ((!is_wp_error($data)) && (200 === wp_remote_retrieve_response_code($data))) {
            $responseBody = json_decode($data['body']);

            update_option('transcy_client_data', $responseBody);
            return $responseBody;
        } else {
            update_option('transcy_client_data', 'no-data');
        }

        return null;
    }
}
