<?php

namespace Transcy\Api;

class BaseApi
{
    protected $prefix = 'transcy-api';

    public function set_prefix($prefix)
    {
        $this->prefix = $prefix;
    }

    public function get_prefix()
    {
        return $this->prefix;
    }

    public function register_enpoint($version, $url, $type_array)
    {
        $type_array['permission_callback'] = array($this, 'valid_enpoint');
        register_rest_route($this->get_prefix() . '/' . $version, $url, $type_array);
    }

    public function get_api_url()
    {
        return home_url() . '/?rest_route=/' . $this->get_prefix();
    }

    public function valid_enpoint($req)
    {
        // $option = new Options();
        $api_key = get_option('transcy_apikey');
        $header = apache_request_headers();
        $header = array_change_key_case($header);
        $authorization = $req->get_header('authorization') != '' ? $req->get_header('authorization') : $header['authorization'];

        if (empty($authorization)) {
            return new \WP_Error('invalid_header', esc_html__('Invalid header', 'transcy'), array('status' => 401));
        }

        if ($authorization != $api_key) {
            return new \WP_Error('invalid_key', esc_html__('Permission denied', 'transcy'), array('status' => 401));
        }
        return true;
    }
}
