<?php

namespace Transcy\Api;

use Transcy\Api\AppApi\AppToken;
use Transcy\Helpers\Info;

class BaseExtenApi
{
    protected $prefix = 'transcy-exten-api';

    public function set_prefix($prefix)
    {
        $this->prefix = $prefix;
    }

    public function get_prefix()
    {
        return $this->prefix;
    }

    public function register_enpoint($version, $url, $type_array)
    {
        $type_array['permission_callback'] = array($this, 'valid_enpoint');
        register_rest_route($this->get_prefix() . '/' . $version, $url, $type_array);
    }

    public function get_api_url()
    {
        return home_url() . '/?rest_route=/' . $this->get_prefix();
    }

    public function valid_enpoint($req)
    {
        $header = apache_request_headers();
        $header = array_change_key_case($header);
        $authorization = null;
        if ((!empty($req->get_header('Authorization')) && $req->get_header('Authorization') != '')) {
            $authorization = $req->get_header('Authorization');
        } else {
            if (!empty($header['Authorization'])) {
                $authorization = $header['Authorization'];
            }
        }
        //cheat api for QC
        if ($req->get_route() == "/transcy-exten-api/v1/clear-cache-store-front") {
            return true;
        }

        if (empty($authorization)) {
            return new \WP_Error('invalid_header', esc_html__('Invalid header', 'transcy'), array('status' => 401));
        }

        $app_token = new AppToken();
        $token = $app_token->generate_token();
        // wp_dump($token);
        $data = $app_token->decode_token(str_replace('Bearer ', '', $authorization));
        if ($data['status']) {
            $info = new Info();
            $domain = $info->get_domain();
            if ($data['data']->domain !=  $domain) {
                return new \WP_Error('invalid_key', esc_html__('Permission denied', 'transcy'), array('status' => 401));
            }
        } else {
            return new \WP_Error('invalid_key', esc_html__('Permission denied', 'transcy'), array('status' => 401));
        }

        return true;
    }
}
