<?php

namespace Transcy\Base;

use Transcy\Admin\Options;
use Transcy\Configs\Settings;
use Transcy\Base\Tracking;

/**
 * Transcy Active Class
 *
 * @package Transcy\Base
 * @author TanNV, QuanLM
 */
class Active
{
    public function load()
    {
        $option = new Options();
        $tracking = new Tracking();

        if (get_option('transcy_option', false) !== false && get_option('transcy_lang_default', false) === false) {
            // $tracking->trackingEvent(1,'reinstall'); // reinstall
            $tracking->tracking_handle(1);
        } elseif (get_option('transcy_option', false) === false && get_option('transcy_lang_default', false) === false) {
            $tracking->trackingEvent(1, 'newinstall'); // newinstall
        } else {
            $tracking->trackingEvent(1, 'activate'); // active
        }

        if (!$option->check_option_already('transcy_option')) {
            $setting = new Settings();
            $option->set_option('transcy_option', $setting->get_settings());
        }

        if (!$option->check_option_already('transcy_lang_default')) {
            $option->set_option('transcy_lang_default', [
                'en_name' => 'English',
                'short_name' => 'en',
                'native_name' => 'English',
                'slug' => 'en'
            ]);
        }

        // $tracking->tracking_handle();
    }
}
