<?php

namespace Transcy\Base;

use Transcy\Helpers\Info;

class Crisp
{
    public function get_data()
    {
        $info = new Info();
        $current_user = wp_get_current_user();
        $first_name = trim($current_user->user_firstname);
        $last_name = trim($current_user->user_lastname);
        $email = $current_user->user_email;
        $name = (empty($first_name) && empty($last_name)) ? explode('@', $email)[0] : $first_name . ' ' . $last_name;
        $domain = $info->get_domain();
        $count_product = wp_count_posts('product');

        $data = [];
        $data['wp_email'] = $email;
        $data['wp_domain'] = $domain;
        $data['wp_name'] = $name;
        $data['wp_version'] = 'v' . $info->get_wp_version();
        $data['wp_theme'] = wp_get_theme()->get('Name');
        $data['wp_theme_version'] = 'v' . wp_get_theme()->get('Version');
        $data['wp_tc_version'] = 'v' . $info->get_tc_version();
        $data['wp_tc_plan'] = 'Free';
        $data['wp_tc_status'] = 'Active';
        $data['woocommerce_status'] = in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')));
        $data['tc_wp_total_product'] = $count_product->publish ?? 0;

        return $data;
    }
}
