<?php

namespace Transcy\Base;

use Transcy\Helpers\Info;

class Curl
{
    public function call_api($url, $method, $data = '', $header = array())
    {
        $curl = curl_init();
        $params = array(
            CURLOPT_URL => $url,
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => '',
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => $method,
            CURLOPT_HTTPHEADER => $this->add_transcy_cors_http_header($header)
        );

        if (!empty($data)) {
            $params[CURLOPT_POSTFIELDS] = $data;
        }

        curl_setopt_array($curl, $params);
        $response = curl_exec($curl);

        curl_close($curl);
        return $response;
    }

    /**
     * @param $header
     * @return array
     */
    function add_transcy_cors_http_header($header)
    {
        $info = new Info();
        $domain = $info->get_domain();
        $wp_version = $info->get_wp_version();
        $tc_version = $info->get_tc_version();
        $tc_header = array(
            "x-transcy-hostname: $domain",
            "x-transcy-version: $wp_version",
            "x-transcy-platform-version: $tc_version"
        );

        return array_merge($header, $tc_header);
    }
}
