<?php
namespace Transcy\Helpers;
use Transcy\Admin\Options;

class Common {
    public function get_url_current() {
        $protocol = "http" . ((sanitize_text_field($_SERVER['SERVER_PORT']) == 443) ? "s" : "") . "://";
        $host = sanitize_text_field($_SERVER['HTTP_HOST']);
        $url_page = sanitize_text_field($_SERVER['REQUEST_URI']);

        return $protocol . $host . $url_page;
    }

    public function convert_string_to_slug($string, $delimiter = '-') {
        $slug = strtolower(trim(preg_replace('/[\s-]+/', $delimiter, preg_replace('/[^A-Za-z0-9-]+/', $delimiter, preg_replace('/[&]/', 'and', preg_replace('/[\']/', '', iconv('UTF-8', 'ASCII//TRANSLIT', $string))))), $delimiter));

        if($string == 'Circle' || $string == 'Square') {
            return 'square ' . $slug;
        }
        return $slug;
    }

    public function removeParam($url, $param) {
        $url = preg_replace('/(&|\?)'.preg_quote($param).'=[^&]*$/', '', $url);
        $url = preg_replace('/(&|\?)'.preg_quote($param).'=[^&]*&/', '$1', $url);
        return $url;
    }

    public function add_param_to_url($url, $key, $value = null) {
        $query = parse_url($url, PHP_URL_QUERY);
        if ($query) {
            parse_str($query, $queryParams);
            $queryParams[$key] = $value;
            $url = str_replace("?$query", '?' . http_build_query($queryParams), $url);
        } else {
            $url .= '?' . urlencode($key) . '=' . urlencode($value);
        }
        
        return $url;
    }

}
