<?php

namespace Transcy;

class Main
{
    public function get_services()
    {
        return [
            // Base
            Base\Tracking::class,

            // Admin
            Admin\Dashboard::class,
            Admin\Enqueue::class,
            Admin\Ajax::class,
            Admin\Notification::class,
            Admin\WPAdmin::class,

            // API
            Api\WebhookApi::class,
            Api\LangApi::class,
            Api\SwitcherApi::class,
            Api\ExtenAppApi::class,
            Api\TranslateApi::class,

            // Front
            Front\Front::class,
            Front\Enqueue::class,
            Front\Switcher::class
        ];
    }

    public function run_services()
    {
        foreach (self::get_services() as $class) {
            $service = self::instantiate($class);
            if (method_exists($service, 'register')) {
                $service->register();
            }
        }
    }

    public function instantiate($class)
    {
        $service = new $class();
        return $service;
    }
}
