<?php
namespace Transcy\Model;

class Notification {
	protected $table_name = 'transcy_notification';

	public function create_table() {
		global $wpdb;
    	$table_name = $wpdb->prefix . $this->table_name;
   		$charset_collate = $wpdb->get_charset_collate();

	    if($wpdb->get_var( "show tables like '$table_name'" ) != $table_name) {
	   		$sql = "CREATE TABLE $table_name (
				id varchar(100) NOT NULL,
				message text NOT NULL,
				status varchar(55) NOT NULL,
				type varchar(10) NOT NULL,
				order_num varchar(3) NOT NULL,
				created_date datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
				updated_date datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
				PRIMARY KEY (id)
			) $charset_collate;";

			require_once ABSPATH . 'wp-admin/includes/upgrade.php';
			dbDelta($sql);
	    }
	}

	public function add_record($id, $message, $status, $type, $order) {
    	global $wpdb;
		$table_name = $wpdb->prefix . $this->table_name;

		$wpdb->insert( 
			$table_name, 
			array( 
				'id' => $id,
				'message' => $message,
				'status' => $status,
				'type' => $type,
				'order_num' => $order,
				'created_date' => date('Y-m-d H:i:s')
			) 
		);
    }

    public function update_record($id, $message, $type, $order) {
    	global $wpdb;
		$table_name = $wpdb->prefix . $this->table_name;

		$wpdb->update( 
			$table_name, 
			array(
				'message' => $message,
				'type' => $type,
				'order_num' => $order,
				'updated_date' => date('Y-m-d H:i:s')
			),
			array('id' => $id)
		);
    }

    public function update_status($id, $status) {
    	global $wpdb;
		$table_name = $wpdb->prefix . $this->table_name;

		$wpdb->update( 
			$table_name, 
			array(
				'status' => $status
			),
			array('id' => $id)
		);
    }

    public function check_has_data($id) {
    	global $wpdb;
    	$table_name = $wpdb->prefix . $this->table_name;

    	$result = $wpdb->get_results("SELECT * FROM $table_name WHERE id = '$id'");
    	return count($result);
	}

	public function get_data() {
    	global $wpdb;
    	$table_name = $wpdb->prefix . $this->table_name;

    	$result = $wpdb->get_results("SELECT * FROM $table_name WHERE status = 1 ORDER BY order_num LIMIT 1");
    	return $result;
	}

	public function get_all_data() {
    	global $wpdb;
    	$table_name = $wpdb->prefix . $this->table_name;

    	$result = $wpdb->get_results("SELECT * FROM $table_name");
    	return $result;
	}

	public function delete_record($id) {
		global $wpdb;
    	$table_name = $wpdb->prefix . $this->table_name;
    	
		$wpdb->delete($table_name, array('id' => $id));
	}


}
