<div class="wrap-template">
  <div class="transcy-switch notranslate">
    <div class="default-template" position-float="<?php echo esc_attr($position_float); ?>">
      <div class="lang-current" arrow-icon="<?php echo esc_attr($arrow_icon); ?>" effect="<?php echo esc_attr($effect); ?>" hover-effect="<?php echo esc_attr($hover_active); ?>" flag-style="<?php echo esc_attr($flag_style); ?>" flag-size="<?php echo esc_attr($flag_size); ?>" english-name="<?php echo esc_attr($eng_name); ?>" only-flag="<?php echo esc_attr(in_array("Only flag", $label_currency) ? 'true' : 'false'); ?>">
        <div class="lang-current-item lang-1">
          <?php if ($is_flag) : ?>
            <div class="wrap-flag">
              <img src="<?php echo $lang->get_flag_url_by_slug($lang_active->flag_code); ?>" class="lang-flag" />
            </div>
          <?php endif; ?>

          <div class="lang-text">
            <span><?php echo esc_html($self->get_name_lang_choosed($lang_active), 'transcy'); ?></span>
          </div>
        </div>
        <span class="lang-hyphen"><?php echo esc_html($divider_format); ?></span>
        <div class="lang-current-item lang-2">
          <?php if ($is_flag_currency) : ?>
            <div class="wrap-flag">
              <img src="<?php echo $currencyObj->get_flag($currency_active->settings->flag_code); ?>" class="lang-flag" />
            </div>
          <?php endif; ?>

          <div class="lang-text">
            <span>
              <?php echo esc_html($self->get_name_currency($currency_active), 'transcy'); ?>
              <?php //echo $currency_active->settings->custom_code 
              ?>
            </span>
          </div>
        </div>
        <div class="lang-arrow"></div>
      </div>

      <div class="lang-target" style="display: none; width: 238px;">
        <!--<div class="search-not-found">No language found</div>-->
        <!--<div class="copyright">
          <img src="https://transcyproduct20.socialhead.site/wp-content/plugins/transcy/assets/images/copyright.svg"
            alt="" />
        </div>-->
        <div class="custom-select">
          <!-- Language List -->
          <div id="lang-container" style="margin-bottom: 16px">
            <label class="options-label">Language</label>
            <div class="lang-options-container option-select">
              <div id="lang-options-value">
                <div id="lang-selected-value" data-code="<?php echo $self->get_slug_lang_choosed($lang_active) ?>" style="display: flex; align-items: center; gap: 10px">
                  <img src="<?php echo $lang->get_flag_url_by_slug($lang_active->flag_code); ?>" style="
                      max-width: 30px;
                      height: 20px;
                      vertical-align: inherit;
                      object-fit: cover;
                    " />
                  <span><?php echo esc_html($self->get_name_lang_choosed($lang_active), 'transcy'); ?></span>
                </div>
              </div>
              <div class="option-arrow">
              </div>

              <div class="lang-option-item">
                <?php if (count($target_lang) > 5) : ?>
                  <div class="lang-search">
                    <input type="text" placeholder="Search language" />
                  </div>
                <?php endif; ?>
                <?php if ($target_lang) : ?>
                  <ul>
                    <?php foreach ($target_lang as $l) : ?>
                      <li class="lang-item" data-code="<?php echo $l->locale ?>">
                        <div class="flag">
                          <img src="<?php echo $lang->get_flag_url_by_slug($l->flag_code); ?>" class="lang-flag" />
                        </div>
                        <span><?php echo esc_html($l->name_en, 'transcy'); ?></span>
                      </li>
                    <?php endforeach; ?>
                  </ul>
                <?php endif; ?>

                <?php if (count($target_lang) == 0) : ?>
                  <div class="not-found"><?php esc_html_e('No language found', 'transcy'); ?></div>
                <?php endif; ?>
                <div class="search-not-found"><?php esc_html_e('No language found', 'transcy'); ?></div>
                <div class="copyright">
                  <img src="<?php echo esc_url(TRANSCY_ASSETS_FOLDER . '/images/copyright.svg'); ?>" alt="">
                </div>
              </div>
            </div>
          </div>

          <!-- Currency List -->
          <div id="currency-container">
            <label class="options-label">Currency</label>
            <div class="currency-options-container option-select">
              <div id="currency-options-value">
                <div id="currency-selected-value" data-code="<?php echo $currency_active->settings->custom_code ?>" style="display: flex; align-items: center; gap: 10px">
                  <img src="<?php echo $currencyObj->get_flag($currency_active->settings->flag_code); ?>" style="
                      max-width: 30px;
                      height: 20px;
                      vertical-align: inherit;
                      object-fit: cover;
                    " />
                  <span><?php echo $currency_active->settings->custom_code ?></span>
                </div>
              </div>
              <div class="option-arrow">
              </div>

              <div class="currency-option-item">
                <ul>
                  <?php foreach ($target_currencies as $l) : ?>
                    <li class="currency-item" data-code="<?php echo $l->settings->custom_code ?>">
                      <div class="flag">
                        <img src="<?php echo $currencyObj->get_flag($l->settings->flag_code); ?>" class="lang-flag" />
                      </div>
                      <span><?php echo $l->settings->custom_code ?></span>
                    </li>
                  <?php endforeach; ?>
                </ul>
              </div>
            </div>
          </div>

          <button class="transcy-switch-apply">Apply</button>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="transcy-lang-current" style="display:none;" data-slug="<?php echo $lang->get_lang_current(); ?>" <?php echo (!isset($_GET['lang']) || !$lang->check_lang_exist_by_slug($_GET['lang'])) ? 'orgin-lang' : ''; ?>></div>
<div class="transcy-currency-current" style="display:none;" data-slug="<?php echo $currency_active->settings->custom_code ?>"></div>
<div id="transcy-load"></div>

<?php if (isset($_GET['lang'])) : ?>
  <!–- [wpfcNOT] -–>
  <?php endif; ?>