<div class="wrap-template">
  <div class="transcy-switch notranslate">
    <div class="default-template" position-float="<?php echo esc_attr($position_float); ?>">
      <div class="lang-current" arrow-icon="<?php echo esc_attr($arrow_icon); ?>" effect="<?php echo esc_attr($effect); ?>" hover-effect="<?php echo esc_attr($hover_active); ?>" flag-style="<?php echo esc_attr($flag_style); ?>" flag-size="<?php echo esc_attr($flag_size); ?>" english-name="<?php echo esc_attr($eng_name); ?>">
        <?php if ($is_flag) : ?>
          <div class="wrap-flag">
            <img src="<?php echo $lang->get_flag_url_by_slug($lang_active->flag_code); ?>" class="lang-flag" />
          </div>
        <?php endif; ?>
        <div class="lang-text">
          <span><?php echo esc_html($self->get_name_lang_choosed($lang_active), 'transcy'); ?></span>
        </div>
        <div class="lang-arrow"></div>
      </div>

      <div class="" style="width: 215px">
        <div class="lang-target">
          <?php if (count($target_lang) > 5) : ?>
            <div class="lang-search">
              <input type="text" placeholder="Search language" />
            </div>
          <?php endif; ?>

          <?php if ($target_lang) : ?>
            <ul>
              <?php foreach ($target_lang as $l) :
              ?>
                <li>
                  <a href="<?php echo $lang->get_page_link_translated($l->locale, $helper->get_url_current(), $lang_default->locale); ?>">
                    <div class="flag">
                      <img src="<?php echo $lang->get_flag_url_by_slug($l->flag_code); ?>" />
                    </div>
                    <span><?php echo esc_html($l->name_en, 'transcy'); ?></span>
                  </a>
                </li>
              <?php endforeach; ?>
            </ul>
          <?php endif; ?>

          <?php if (count($target_lang) == 0) : ?>
            <div class="not-found"><?php esc_html_e('No language found', 'transcy'); ?></div>
          <?php endif; ?>

          <div class="search-not-found"><?php esc_html_e('No language found', 'transcy'); ?></div>
          <div class="copyright">
            <img src="<?php echo esc_url(TRANSCY_ASSETS_FOLDER . '/images/copyright.svg'); ?>" alt="">
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="transcy-lang-current" style="display:none;" data-slug="<?php echo $lang->get_lang_current(); ?>" <?php echo (!isset($_GET['lang']) || !$lang->check_lang_exist_by_slug($_GET['lang'])) ? 'orgin-lang' : ''; ?>></div>
  <div class="transcy-currency-current" style="display:none;" data-slug="<?php echo $currency_active->settings->custom_code ?>"></div>

  <div id="transcy-load"></div>

  <?php if (isset($_GET['lang'])) : ?>
    <!–- [wpfcNOT] -–>
    <?php endif; ?>